# diet_cms.model.NewExercise

## Load the model package
```dart
import 'package:diet_cms/api.dart';
```

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**name** | **String** |  | [default to null]
**coefficient** | **num** |  | [default to null]
**weightBias** | **num** |  | [optional] [default to 0]
**timeBias** | **num** |  | [optional] [default to 0]
**minute** | **num** |  | [optional] [default to 10]
**exerciseGroups** | **BuiltList&lt;String&gt;** |  | [optional] [default to const []]
**constant** | **num** |  | [optional] [default to 0]
**uuid** | **String** |  | [optional] [default to null]
**revision** | **int** |  | [optional] [default to 1]
**publishedAt** | [**OffsetDateTime**](OffsetDateTime.md) |  | [optional] [default to null]
**createdBy** | **String** |  | [optional] [default to null]
**updatedBy** | **String** |  | [optional] [default to null]

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)


