import 'package:built_value/built_value.dart';
import 'package:built_value/serializer.dart';

part 'exercise_video_content_details.g.dart';

abstract class ExerciseVideoContentDetails
    implements
        Built<ExerciseVideoContentDetails, ExerciseVideoContentDetailsBuilder> {
  @nullable
  @BuiltValueField(wireName: r'id')
  String get id;

  @nullable
  @BuiltValueField(wireName: r'duration')
  String get duration;

  // Boilerplate code needed to wire-up generated code
  ExerciseVideoContentDetails._();

  factory ExerciseVideoContentDetails(
          [updates(ExerciseVideoContentDetailsBuilder b)]) =
      _$ExerciseVideoContentDetails;
  static Serializer<ExerciseVideoContentDetails> get serializer =>
      _$exerciseVideoContentDetailsSerializer;
}
