import 'package:built_value/built_value.dart';
import 'package:built_value/serializer.dart';

part 'count_response.g.dart';

abstract class CountResponse
    implements Built<CountResponse, CountResponseBuilder> {
  @nullable
  @BuiltValueField(wireName: r'count')
  int get count;

  // Boilerplate code needed to wire-up generated code
  CountResponse._();

  factory CountResponse([updates(CountResponseBuilder b)]) = _$CountResponse;
  static Serializer<CountResponse> get serializer => _$countResponseSerializer;
}
